/* Default overide */
/* Imported Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Oswald:wght@200..700&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/* General styles */
body {
  height: 100vh;
  display: flex;
  flex-direction: column;
  /* Generic Project styles */
  color: #3a3a3a;
  font-family: "Lato", sans-serif;
}

h1, h2, h3 {
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  letter-spacing: 2px;
  color: #252525;
}

.hidden-heading {
  display: none;
}

/* Header */
header {
  width: 100%;
  position: fixed;
  background-color: #fff;
  box-shadow: 0 2px 2px #3a3a3a;
  padding: 0 1rem;
  z-index: 99;
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

header a {
  text-decoration: none;
  color: inherit;
}

.active {
  border-bottom: 1px solid #3a3a3a;
}

/* Navbar styles */
nav {
  position: absolute;
  background-color: #fff;
  width: 100vw;
  left: 0;
  padding: 0 1em;
  box-shadow: 0 2px 2px #3a3a3a;
  display: none;
  top: 100%;
}

#menu {
  font-size: 110%;
  letter-spacing: 4px;
  list-style-type: none;
}

#menu li {
  margin-bottom: 1em;
}

/* Nav Toggle */
#nav-toggle:checked ~ nav {
  display: block;
}

#nav-toggle {
  display: none;
}

.nav-toggle-label {
  font-size: 2rem;
}

/* Main Content */
main {
  /* Make main element take up any surplus space */
  flex: 1 0 auto;
  margin-top: 47px;
  display: flex;
  flex-direction: column;
}

/* Hero Section styles */
#hero {
  height: 600px;
  width: 100%;
  background: url("../images/hero-image.webp") no-repeat center center / cover;
  position: relative;
}

#cover-text {
  background-color: rgba(241, 109, 107, 0.7);
  font-size: 130%;
  position: absolute;
  bottom: 30px;
  width: 80%;
  min-height: 200px;
  padding-top: 40px;
  padding-left: 10px;
}

#cover-text > h2, #cover-text > h3 {
  color: #fff;

}

#reasons {
  width: 90%;
  margin: 20px auto;
}

#reasons > h2 {
  font-size: 280%;
  margin-bottom: 20px;
  text-align: center;
}

#benefits-physical div, #benefits-mental div {
  line-height: 20px;
  margin-bottom: 20px;
}

#benefits-physical hr, #benefits-mental hr {
  border-top: 1px solid #3a3a3a;
  margin: 5px 0;
}

#benefits-physical div > p, #benefits-mental div > p {
  padding: 0 20px;
}

#benefits-image {
  display: flex;
  align-items: center;
  justify-content: center;
}

#circle-cover-bg {
  background: url("../images/reasons-image.webp") no-repeat top center / cover;
  width: 90vw;
  height: 90vw;
  margin-bottom: 20px;
  /* Makes image a circle */
  border-radius: 50%;
  max-width: 300px;
  max-height: 300px;
}


/* Meet-up times section */
#times {
  background: url("../images/dublin-city.webp") no-repeat center / cover;
  /* Handles responsiveness */
  display: flex;
  flex-wrap: wrap;
}

#times div {
  color: #fafafa;
  background-color: rgba(0, 0, 0, .6);
  padding: 15px;
  text-align: center;
  flex-basis: 200px;
  flex-grow: 1;
  border: 2px solid white;
}

#times h3 {
  color: #fafafa;
}

/* Gallery page */
#photos img {
  width: 100%;
  line-height: 1em;
}

#photos {
  line-height: 0;
}

/* Footer */
#social-networks {
  text-align: center;
  padding: 20px 0;
  display: flex;
  justify-content: space-evenly;
  list-style-type: none;
}

#social-networks i {
  font-size: 160%;
  padding:5%;
  color: #3a3a3a;
}

/* Signup page styling */
#signup {
  width: 100%;
  background-image: url("../images/signup-image.webp");
  background-repeat: no-repeat;
  background-position: 75%;
  background-size: cover;
  flex-grow: 1;
}

#signup-form {
  margin: 20px 10% 10% 10%;
  padding: 30px;
  color: #fff;
  background-color: rgba(60, 60, 60, .6);
}

#signup-form h2 {
  color: #fafafa;
  margin-bottom: 20px;
}

.text-input {
  width: 100%;
  height: 25px;
  padding: 0 5px;
  border: 1px solid #fafafa;
  border-radius: 2px;
  background-color: transparent;
  color: #fafafa;
  margin: 5px 0 20px 0;
}

.radio-buttons {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.join-button {
  margin-top: 20px;
  border-radius: 2px;
  background-color: #454b1b;
  color: #fafafa;
  font-size: 100%;
  padding: 15px 32px;
}


/* Media Queries: Large or landscape phones */
@media screen and (min-width: 576px) {
  
  /* Gallery page */
  #photos {
    column-count: 2;
    column-gap: 0;
  }
}


/* Media Queries: Tablets and larger devices */
@media screen and (min-width: 768px) {
  /* Header */
  nav {
    display: block;
    position: relative;
    box-shadow: none;
    width: fit-content;
    padding-right: 1rem;
  }

  #menu {
    display: flex;
  }

#menu li {
  padding-left: 1rem;
}

.nav-toggle-label {
  display: none;
}

#logo {
  font-size: 200%;
  line-height: 75px;
  margin: 0 0.5rem;
}

#benefits-physical,
#benefits-mental {
  display: flex;
  flex-direction: column;
  width: 100%;
}

#benefits-physical > div,
#benefits-mental > div {
  width: 75%;
}

#benefits-mental > div {
  text-align: end;
  align-self: flex-end;
}


/* Main Content */
main {
  /* Push content down to allow for new header size */
  margin-top: 79px;
}

#cover-text {
  width: 300px;
  right: 50px;
}

/* Gallery page */
#photos {
  column-count: 3;
}

/* Signup form style for larger devices */
#signup {
  position: relative;
  background-position: center;
}

#signup-form {
  position: absolute;
  max-width: 400px;
  top: 150px;
  left: 10%;
}

.text-input:hover {
  border-color: #f16c6b;
}

.join-button:hover {
  background-color: #fafafa;
  color: #454b1b;
}

}

/* Large devices (laptops and desktops 992px and up */
@media screen and (min-width: 992px) {
  #menu a:hover {
    border-bottom: 1px solid #3a3a3a;
  }

  /* Gallery page */
  #photos {
  column-count: 4;
  }
}

@media screen and (min-width: 1200px) {
  #benefits {
    display: flex;
    flex-direction: row;
  }

  #benefits > div {
    flex: 1;
  }

  #benefits-image {
    order: 0;
  }

  #benefits-mental {
    order: 1;
  }

  #benefits-mental > div {
    align-self: flex-start;
  }

  #benefits-physical > div {
    align-self: flex-end;
  }
}
